<?php
require '../../Run.php';
if($admin != 1)
{
	ehtml('此页面仅超级管理员有权进入!');
	exit();
}
echo head('数据库链接配置');
if($_GET['action'] != 'mod'){
echo topNav('数据库链接配置','<a href="../wap_admin.php?">后台</a>','<a href="../../index.php?">首页</a>');
echo '<div class="content">
<form method="post" action="?action=mod">';
if($cfgValue->getValue('mysqlconn') == 'p'){
echo '数据库链接方式:<select name="cfg">
<option value="p">长链接</option>
<option value="c">短链接</option>
</select>';
}else{
echo '数据库链接方式:<select name="cfg">
<option value="c">短链接</option>
<option value="p">长链接</option>
</select>';
}
echo '<br><input value="保存修改" type="submit" >';
echo '</form>';
echo '</div>';
}else{
if($cfgValue->into(array('mysqlconn'=>$_POST['cfg'])))
{
	echo '<div class="tip">修改成功</div>';
}else{
	echo '<div class="tip">修改成功</div>';
	}
	echo '<div class="mylink"><a href="?">返回修改</a></div>';
}
echo '<div class="tip">数据库使用长连接会提高效率70%所有，但是访问量太大容易造成数据库访问中断。使用短链接稳定性较好，但是效率上会慢一些!</div>';
echo footer(1);